CVE-2005-0626
CVSS2.6
发布时间 :2005-03-08 00:00:00
修订时间 :2010-08-21 00:26:27
NMCOS    

[原文]Race condition in Squid 2.5.STABLE7 to 2.5.STABLE9, when using the Netscape Set-Cookie recommendations for handling cookies in caches, may cause Set-Cookie headers to be sent to other users, which allows attackers to steal the related cookies.


[CNNVD]Squid 信息泄露漏洞(CNNVD-200503-074)

        使用Netscape Set-Cookie建议处理缓存中的Cookie时,Squid 2.5.STABLE7~2.5.STABLE9可能会使Set-Cookie标头被发送给其他用户,远程攻击者从而窃取相关的Cookie。

- CVSS (基础分值)

CVSS分值: 2.6 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:squid:squid:2.5.stable5
cpe:/a:squid:squid:2.5.stable6
cpe:/a:squid:squid:2.5.stable7

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:11169Race condition in Squid 2.5.STABLE7 to 2.5.STABLE9, when using the Netscape Set-Cookie recommendations for handling cookies in caches, may c...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0626
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0626
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200503-074
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/19581
(VENDOR_ADVISORY)  XF  squid-set-cookie-race-condition(19581)
http://www.ubuntulinux.org/support/documentation/usn/usn-93-1
(UNKNOWN)  UBUNTU  USN-93-1
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-setcookie
(VENDOR_ADVISORY)  CONFIRM  http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-setcookie
http://www.redhat.com/support/errata/RHSA-2005-415.html
(UNKNOWN)  REDHAT  RHSA-2005:415
http://www.securityfocus.com/bid/12716
(UNKNOWN)  BID  12716
http://fedoranews.org/updates/FEDORA--.shtml
(UNKNOWN)  FEDORA  FLSA-2006:152809

- 漏洞信息

Squid 信息泄露漏洞
低危 竞争条件
2005-03-08 00:00:00 2005-10-20 00:00:00
远程  
        使用Netscape Set-Cookie建议处理缓存中的Cookie时,Squid 2.5.STABLE7~2.5.STABLE9可能会使Set-Cookie标头被发送给其他用户,远程攻击者从而窃取相关的Cookie。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Squid Web Proxy Cache 2.5 .STABLE9
        Squid squid-2.5.STABLE9-setcookie.patch
        http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE9-setc ookie.patch
        

- 漏洞信息

14354
Squid Set-Cookie Header Cross-session Information Disclosure
Information Disclosure
Loss of Confidentiality

- 漏洞描述

- 时间线

2005-03-03 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Squid Proxy Set-Cookie Headers Information Disclosure Vulnerability
Race Condition Error 12716
Yes No
2005-03-03 12:00:00 2007-03-07 05:25:00
This issue was reported by the vendor.

- 受影响的程序版本

Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Turbolinux Turbolinux Workstation 8.0
Turbolinux Turbolinux Workstation 7.0
Turbolinux Turbolinux Server 10.0
Turbolinux Turbolinux Server 8.0
Turbolinux Turbolinux Server 7.0
Turbolinux Appliance Server Workgroup Edition 1.0
Turbolinux Appliance Server Hosting Edition 1.0
Squid Web Proxy Cache 2.5 .STABLE9
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 amd64
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ Mandriva Linux Mandrake 10.2 x86_64
+ Mandriva Linux Mandrake 10.2
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Mandriva Linux Mandrake 10.0 AMD64
+ Mandriva Linux Mandrake 10.0
Squid Web Proxy Cache 2.5 .STABLE8
+ Gentoo Linux
+ Red Hat Fedora Core3
+ Red Hat Fedora Core2
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
Squid Web Proxy Cache 2.5 .STABLE7
+ Conectiva Linux 10.0
+ Conectiva Linux 9.0
+ Gentoo Linux
+ Red Hat Fedora Core3
+ Red Hat Fedora Core2
SGI ProPack 3.0 SP5
RedHat Linux 9.0 i386
RedHat Linux 7.3 i386
RedHat Enterprise Linux WS 4
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux ES 4
RedHat Enterprise Linux ES 3
RedHat Desktop 4.0
RedHat Desktop 3.0
Red Hat Fedora Core3
Red Hat Fedora Core2
Red Hat Fedora Core1
Red Hat Enterprise Linux AS 4
Red Hat Enterprise Linux AS 3
Conectiva Linux 10.0
Conectiva Linux 9.0

- 漏洞讨论

Squid Proxy is prone to an information-disclosure vulnerability.

Reportedly, remote attackers may gain access to Set-Cookie headers related to another user. Information gathered through exploiting this issue may aid in further attacks against services related to the cookie, potentially allowing for session hijacking.

Squid Proxy 2.5 STABLE7 to 2.5 STABLE9 are vulnerable to this issue.

- 漏洞利用

An exploit is not required.

- 解决方案

Please see the referenced vendor advisories for more information and fixes.


Squid Web Proxy Cache 2.5 .STABLE9

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站